Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.assembler
Interface TranslationCode

    public interface TranslationCode

This interface is intended for use by ExtendedInstruction objects to define, using the translate() method, how to translate the extended (pseudo) instruction into a sequence of one or more basic instructions, which can then be translated into binary machine code.

Author:
  Pete Sanderson

Method Summary
`void` | `translate()` This is a callback method defined in anonymous class specified as argument to ExtendedInstruction constructor.

Method Detail

### translate

    void translate()

  This is a callback method defined in anonymous class specified as argument to ExtendedInstruction constructor. It is called when assembler finds a program statement matching that ExtendedInstruction,

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD